%define rname	switch-locales
%define cid		\{338e0b96-2285-4424-b4c8-e25560750fa3\}
%define ciddir 	%firefox_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	1.0
Release:	alt2.M24.1
Summary:	The Locale Switcher extension for Mozilla Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://www.saintpatrickdc.org/bsmedberg/locale-switcher/

Source0:	%rname-%version.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name >= %firefox_version

%description
Displays a menu item for switching the application locale.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 1.0-alt2.M24.1
- backport to Master-2.4.

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3.1
- postscript bugfix;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3
- spec bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- first build for ALT Linux.
